summaryrefslogtreecommitdiff
path: root/oh-my-zsh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'oh-my-zsh.sh')
-rw-r--r--oh-my-zsh.sh27
1 files changed, 24 insertions, 3 deletions
diff --git a/oh-my-zsh.sh b/oh-my-zsh.sh
index d75b521c7..6cc5ac630 100644
--- a/oh-my-zsh.sh
+++ b/oh-my-zsh.sh
@@ -8,12 +8,24 @@ fi
# add a function path
fpath=($ZSH/functions $ZSH/completions $fpath)
+# Load all stock functions (from $fpath files) called below.
+autoload -U compaudit compinit
+
+: ${ZSH_DISABLE_COMPFIX:=true}
+
# Set ZSH_CUSTOM to the path where your custom config files
# and plugins exists, or else we will use the default custom/
if [[ -z "$ZSH_CUSTOM" ]]; then
ZSH_CUSTOM="$ZSH/custom"
fi
+# Set ZSH_CACHE_DIR to the path where cache files should be created
+# or else we will use the default cache/
+if [[ -z "$ZSH_CACHE_DIR" ]]; then
+ ZSH_CACHE_DIR="$ZSH/cache/"
+fi
+
+
# Load all of the config files in ~/oh-my-zsh that end in .zsh
# TIP: Add files you don't want in git to .gitignore
for config_file ($ZSH/lib/*.zsh); do
@@ -52,9 +64,18 @@ if [ -z "$ZSH_COMPDUMP" ]; then
ZSH_COMPDUMP="${ZDOTDIR:-${HOME}}/.zcompdump-${SHORT_HOST}-${ZSH_VERSION}"
fi
-# Load and run compinit
-autoload -U compinit
-compinit -i -d "${ZSH_COMPDUMP}"
+if [[ $ZSH_DISABLE_COMPFIX != true ]]; then
+ # If completion insecurities exist, warn the user without enabling completions.
+ if ! compaudit &>/dev/null; then
+ # This function resides in the "lib/compfix.zsh" script sourced above.
+ handle_completion_insecurities
+ # Else, enable and cache completions to the desired file.
+ else
+ compinit -d "${ZSH_COMPDUMP}"
+ fi
+else
+ compinit -i -d "${ZSH_COMPDUMP}"
+fi
# Load all of the plugins that were defined in ~/.zshrc
for plugin ($plugins); do